%global         realname lite

Name:           %{realname}-xl
Version:        2.0.0
Release:        2%{?dist}
Summary:        A lightweight text editor written in Lua

License:        MIT
URL:            https://github.com/franko/lite-xl
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# lite-xl depends on lua5.2
# this tries adding support for lua5.4
Patch0:         0001-add-support-for-lua5.4.patch
Patch1:         0001-detect-system-reproc-before-cloning-as-subproject.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  libX11-devel
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(libagg)
BuildRequires:  pkgconfig(reproc)
BuildRequires:  desktop-file-utils
# bit32 was only present in Lua 5.2 and we need it
Requires:       lua-bit32
Requires:       hicolor-icon-theme

Conflicts:      %{realname}

%description
lite is a lightweight text editor written mostly in Lua
it aims to provide something practical, pretty, small
and fast, implemented as simply as possible; easy to
modify and extend, or to use without doing either.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.lite-xl.lite-xl.desktop
%{_datadir}/metainfo/org.lite-xl.lite-xl.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_docdir}/%{name}/

%license LICENSE

%changelog
* Tue Aug 17 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.0.0-2
- Update lua patch

* Tue Aug 17 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Tue Jun 22 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.12-1
- Update to 1.16.12

* Fri Jun 11 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.11-1
- Update to 1.16.11

* Thu May 13 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.9-3
- fix project search

* Sat May 08 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.9-2
- Add desktop file, update patch for bit32

* Sat May 08 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 1.16.9-1
- Initial spec


